Bug 738657 - RFE: run createrepo asynchronously
Summary: RFE: run createrepo asynchronously
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 29
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 13:35 UTC by Dennis Gregorovic
Modified: 2012-02-24 20:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 744047 None None None Never
Red Hat Bugzilla 795484 None None None Never

Internal Links: 744047 795484

Description Dennis Gregorovic 2011-09-15 13:35:15 UTC
createrepo runs can take a while.  /repositories/<id>/add_package/ should run createrepo asynchronously and return with an ID for the createrepo run which can be used by the client to poll to see when the run has completed.

Comment 1 Pradeep Kilambi 2011-10-06 19:52:02 UTC
fixed! 33e2a8c573c8f2c316a166dcd352cca13a7c8eff

add/remove operations will not trigger metadata generation anymore. use /repositories/<id>/generate_metadata to trigger metadata update after add/remove operations are done.

Comment 2 Jeff Ortel 2011-10-13 00:49:22 UTC
build: 0.238

Comment 3 Preethi Thomas 2011-10-24 14:54:06 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.241-1.fc15.noarch
[root@preethi ~]# pulp-admin repo add_package --id=add-pkg --p pulp-client-lib-0.0.237-5.fc14.noarch.rpm --source=pulp

Following dependencies are suggested. [u'python-rhsm-0.96.4-1.fc14.noarch.rpm', u'pulp-common-0.0.237-5.fc14.noarch.rpm', u'm2crypto-0.21.1.pulp-5.fc14.x86_64.rpm', u'gofer-0.50-1.fc14.noarch.rpm', u'python-isodate-0.4.4-2.fc14.noarch.rpm'] 
Would you like us to add these?(Y/N/Q):y
Successfully associated packages [u'pulp-client-lib-0.0.237-5.fc14.noarch', u'python-rhsm-0.96.4-1.fc14.noarch', u'pulp-common-0.0.237-5.fc14.noarch', u'm2crypto-0.21.1.pulp-5.fc14.x86_64', u'gofer-0.50-1.fc14.noarch', u'python-isodate-0.4.4-2.fc14.noarch'] to repo [add-pkg]. Please run `pulp-admin repo generate_metadata` to update the repository metadata.
6 packages associated to repo [add-pkg]

From pulp.log

2011-10-24 10:51:46,954 2051:139652262520576: pulp.server.webservices.controllers.services:WARNING: services:147 deprecated DependencyActions.PUT called
2011-10-24 10:51:46,981 2051:139652262520576: pulp.server.webservices.controllers.services:INFO: services:142 Search [{'regex': False, 'checksum_type': 'sha256', 'filename': 'pulp-client-lib-0.0.237-5.fc14.noarch.rpm'}]: package lookup: 0.00292706489563, repo correlation: 0.000910997390747, total: 0.00383806228638
2011-10-24 10:51:47,036 2051:139652388345600: pulp.server.webservices.controllers.services:WARNING: services:147 deprecated DependencyActions.PUT called
2011-10-24 10:51:47,061 2051:139652388345600: pulp.server.webservices.controllers.services:INFO: services:142 Search [{'regex': False, 'checksum_type': 'sha256', 'filename': 'pulp-client-lib-0.0.237-5.fc14.noarch.rpm'}]: package lookup: 0.00126600265503, repo correlation: 0.000975131988525, total: 0.00224113464355
2011-10-24 10:51:47,153 2051:139652262520576: pulp.server.api.package:INFO: package:248  results from depsolver {<YumAvailablePackageSqlite : pulp-client-lib-0.0.237-5.fc14.noarch (0x7f034870cd10)>: {('python-simplejson', None, (None, None, None)): [], ('gofer', 'GE', ('0', '0.50', None)): [<YumAvailablePackageSqlite : gofer-0.50-1.fc14.noarch (0x7f034a290050)>], ('m2crypto', None, (None, None, None)): [<YumAvailablePackageSqlite : m2crypto-0.21.1.pulp-5.fc14.x86_64 (0x7f034a290c90)>], ('python-isodate', 'GE', ('0', '0.4.4', None)): [<YumAvailablePackageSqlite : python-isodate-0.4.4-2.fc14.noarch (0x7f034a290bd0)>], ('python-rhsm', 'GE', ('0', '0.96.4', None)): [<YumAvailablePackageSqlite : python-rhsm-0.96.4-1.fc14.noarch (0x7f034a290c10)>], ('python(abi)', 'EQ', ('0', '2.7', None)): [], ('pulp-common', 'EQ', ('0', '0.0.237', None)): [<YumAvailablePackageSqlite : pulp-common-0.0.237-5.fc14.noarch (0x7f034a290190)>]}}
2011-10-24 10:51:52,296 2051:139652262520576: pulp.server.api.repo:INFO: repo:850 Finished created pkg_object in 0.0115480422974 seconds
2011-10-24 10:51:52,297 2051:139652262520576: pulp.server.api.repo:INFO: repo:875 Finished check of NEVRA/filename in argument data by 0.0120251178741 seconds
2011-10-24 10:51:52,310 2051:139652262520576: pulp.server.api.repo:INFO: repo:898 Finished check of existing NEVRA by 0.0257389545441 seconds
2011-10-24 10:51:52,313 2051:139652262520576: pulp.server.api.repo:INFO: repo:912 Finished check of get_packages_by_filename() by 0.0279951095581 seconds
2011-10-24 10:51:52,316 2051:139652262520576: pulp.server.api.repo:INFO: repo:929 inside of repo.add_packages() adding packages took 0.0314619541168 seconds


[root@preethi ~]# pulp-admin repo remove_package --id=add-pkg --p pulp-client-lib-0.0.237-5.fc14.noarch.rpm

Following dependencies are suggested. [u'python-rhsm-0.96.4-1.fc14.noarch.rpm', u'pulp-common-0.0.237-5.fc14.noarch.rpm', u'm2crypto-0.21.1.pulp-5.fc14.x86_64.rpm', u'gofer-0.50-1.fc14.noarch.rpm', u'python-isodate-0.4.4-2.fc14.noarch.rpm'] 
Would you like us to add these?(Y/N/Q):N
Skipping dependencies
Successfully removed package [u'pulp-client-lib-0.0.237-5.fc14.noarch.rpm'] from repo [add-pkg]. Please run `pulp-admin repo generate_metadata` to update the repository metadata.

From pulp.log

011-10-24 10:55:50,465 2051:139652388345600: pulp.server.webservices.controllers.services:WARNING: services:147 deprecated DependencyActions.PUT called
2011-10-24 10:55:50,490 2051:139652388345600: pulp.server.webservices.controllers.services:INFO: services:142 Search [{'regex': False, 'checksum_type': 'sha256', 'filename': 'pulp-client-lib-0.0.237-5.fc14.noarch.rpm'}]: package lookup: 0.00124597549438, repo correlation: 0.000958919525146, total: 0.00220489501953
2011-10-24 10:55:50,578 2051:139652262520576: pulp.server.api.package:INFO: package:248  results from depsolver {<YumAvailablePackageSqlite : pulp-client-lib-0.0.237-5.fc14.noarch (0x7f034a290890)>: {('python-simplejson', None, (None, None, None)): [], ('gofer', 'GE', ('0', '0.50', None)): [<YumAvailablePackageSqlite : gofer-0.50-1.fc14.noarch (0x7f0348e0e410)>], ('m2crypto', None, (None, None, None)): [<YumAvailablePackageSqlite : m2crypto-0.21.1.pulp-5.fc14.x86_64 (0x7f0348e0e8d0)>], ('python-isodate', 'GE', ('0', '0.4.4', None)): [<YumAvailablePackageSqlite : python-isodate-0.4.4-2.fc14.noarch (0x7f0348e0e710)>], ('python-rhsm', 'GE', ('0', '0.96.4', None)): [<YumAvailablePackageSqlite : python-rhsm-0.96.4-1.fc14.noarch (0x7f0348e0e3d0)>], ('python(abi)', 'EQ', ('0', '2.7', None)): [], ('pulp-common', 'EQ', ('0', '0.0.237', None)): [<YumAvailablePackageSqlite : pulp-common-0.0.237-5.fc14.noarch (0x7f0348e0e5d0)>]}}

Comment 4 Preethi Thomas 2012-02-24 20:12:02 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.